Subject: Re: [PATCH/RFC] git-imap-send: use libcurl for implementation

From: Junio C Hamano <[email-masked]>
Date: Tue, 19 Aug 2014 10:13:35 -0700

Bernhard Reiter <[email-masked]> writes:

> Am 2014-08-17 um 20:42 schrieb Jeff King:
>> [...]
>> 
>>>> I'm not sure I understand this comment. Even if SSL is not in use,
>>>> wouldn't we be passing a regular pipe to curl, which would break?
>>>
>>> Yeah, we can't do that, and thus would have to keep the handwritten IMAP
>>> implementation just for the tunnel case (allowing to drop only the
>>> OpenSSL specific stuff), see my other email:
>>> http://www.mail-archive.com/[email-masked]/msg56791.html (the
>>> relevant part is pretty far down at the bottom).
>> 
>> I'd really love it if we could make this work with tunnels and
>> eventually get rid of the hand-written imap code entirely. I agree with
>> Jonathan that we probably need to keep it around a bit for people on
>> older curl, but dropping it is a good goal in the long run. That code
>> was forked from the isync project, but mangled enough that we could not
>> take bug fixes from upstream. As not many people use imap-send, I
>> suspect it is largely unmaintained and the source of many lurking
>> bugs[1]. Replacing it with curl's maintained implementation is probably
>> a good step.

I would agree with s/a good step/a good goal/ ;-)

> I'll work on this as soon as I find some time, but as that will include
> changes to run-command.c (and possibly other files?), I'd like to cover
> that in a commit of its own. Do you guys think the current patch [1] is
> good enough for "official" submission already?

My impression from reading the discussion in this thread has been
that the patch that started this thread would break the tunneling
code, i.e. is not there yet.  Or did you mean some other patch?

The other patch $gmane/255403 from you looked good and I think I
already have a copy queued on 'pu' as f9dc5d65 (git-imap-send:
simplify tunnel construction, 2014-08-13).

Thanks.

[References]

*$gmane/255403*
    http://thread.gmane.org/gmane.comp.version-control.git/255220/focus=255403